<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOptionOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('option_orders', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->string('wechat_id');
            $table->string('options');
            $table->string('contact');
            $table->string('address');
            $table->string('phone');
            $table->integer('status');
            $table->double('price');
            $table->string('photo');
            $table->string('notes');
            $table->string('remark');
            $table->unsignedInteger('classify');
            $table->string('classify1');
            $table->string('classify2');
            $table->unsignedInteger('comment_id');
            $table->timestamp("paid_at");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('option_orders');
    }
}
